Get a voicemail
GET
/api/v2/nova/voicemails/{id}
curl --request GET \ --url https://api.sipstack.com/api/v2/nova/voicemails/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'x-api-key: <x-api-key>'import requests
url = "https://api.sipstack.com/api/v2/nova/voicemails/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.json())const url = 'https://api.sipstack.com/api/v2/nova/voicemails/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}import axios from 'axios';
const options = { method: 'GET', url: 'https://api.sipstack.com/api/v2/nova/voicemails/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', headers: {'x-api-key': '<x-api-key>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}Returns one voicemail by UUID. Requires calls:read. 404 when absent or cross-org.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Responses
Section titled “ Responses ”The voicemail.
Media type application/json
object
success
boolean
data
A voicemail message. Transcript text is included read-only; AI analysis fields are not exposed on the public API.
object
id
string format: uuid
mailbox
string
extension_id
string
caller_number
string
caller_name
string
duration_seconds
integer
is_read
boolean
transcription
string
transcription_status
string
recorded_at
string format: date-time
created_at
string format: date-time
Example
{ "data": { "id": "8f3c1a2b-5d6e-4f7a-9b0c-1d2e3f4a5b6c", "mailbox": "1001", "extension_id": "1001", "caller_number": "+14165550100", "caller_name": "Jordan Lee", "duration_seconds": 18, "is_read": false, "transcription": "Hi, this is Jordan calling about my appointment on Thursday. Please give me a call back at your convenience. Thanks!", "transcription_status": "completed", "recorded_at": "2026-01-15T09:12:00.000Z", "created_at": "2026-01-15T09:12:03.000Z" }}Missing or invalid API key.
Media type application/json
Inline error shape used by the messaging API and management endpoints.
object
success
boolean
error
string
Example
{ "success": false, "error": "Recipient phone number (to) is required"}Voicemail not found in your organization.
Media type application/json
Inline error shape used by the messaging API and management endpoints.
object
success
boolean
error
string
Example
{ "success": false, "error": "Recipient phone number (to) is required"}